package agilpizza;

import agilpizza.selenium.SeleniumTestCase;
import static org.junit.Assert.*;

import org.junit.*;

public class EditarListaNegraTest extends SeleniumTestCase {
	private static String telefone = "222-1234";

	private static String nome = "Alexandre";

	private static String cpf = "123321";

	@BeforeClass
	public static void setUp() {
		sel.open(CONTEXTO);
		sel.clickAndWait("identificacao");
		sel.type("telefone", telefone);
		sel.clickAndWait("//input[@value='enviar']");
		sel.type("nome", nome);
		sel.type("cpf", cpf);
		sel.type("rua", "dos Bobos");
		sel.type("numero", "0");
		sel.type("bairro", "USP");
		sel.type("cep", "kjgkgfdaskjg");
		sel.clickAndWait("//input[@value='enviar']");
	}

	@Test
	public void testInsereNovoClienteInadimplente() throws Exception {
		sel.open(CONTEXTO + "/editarListaNegra.jsp");
		sel.type("telefone", "123-9654");
		sel.clickAndWait("//input[@value='enviar']");
		sel.type("nome", "Alex");
		sel.type("cpf", "111");
		sel.type("rua", "dos Bobos");
		sel.type("numero", "0");
		sel.type("bairro", "USP");
		sel.type("cep", "456");
		sel.clickAndWait("//input[@value='enviar']");
		assertTrue(sel.isTextPresent("Lista Negra"));
		assertTrue(sel.isTextPresent("clientes inadimplentes:"));
		assertTrue(sel.isTextPresent("Alex (CPF: 111)"));
	}

	@Test
	public void testMarcaClienteExistenteComoInadimplente() throws Exception {
		sel.open(CONTEXTO + "/editarListaNegra.jsp");
		sel.type("telefone", telefone);
		sel.clickAndWait("//input[@value='enviar']");
		assertTrue(sel.isTextPresent("Lista Negra"));
		assertTrue(sel.isTextPresent("clientes inadimplentes:"));
		assertTrue(sel.isTextPresent(nome + " (CPF: " + cpf + ")"));
	}
}
